Package Scientific :: Package Visualization :: Module PyMOL :: Class Molecules

[frames] | no frames]

# Class Molecules

    PyMOLObject --+
                  |
                 Molecules

Molecules from a PDB file

Instance Methods

__init__(self, filename, **attr) |

getPymolObjects(self) Returns: a list of `pymol.cgo` objects |

Inherited from `PyMOLObject`: `__copy__`, `__getitem__`, `__setitem__`, `writeToFile`

Class Variables
Inherited from `PyMOLObject`: `attribute_names`

Method Details

### __init__(self, filename, **attr)
(Constructor)

Parameters:
  - `filename` (`str`) - the name of a PDB file
  - `attr` - keyword attributes
Overrides: PyMOLObject.__init__

### getPymolObjects(self)

Returns:
  a list of `pymol.cgo` objects
Overrides: PyMOLObject.getPymolObjects
  (inherited documentation)